:host{
  .identifier{
    width: 6px;
    height: calc(100% + 2px);
    margin-top: -1px;
    border-top-left-radius:5px;
    border-bottom-left-radius: 5px;
  }

  .source {
    background-color: #b7eb8f; // green-3
  }

  .processor {
    background-color: #91d5ff; // blue-3
  }

  .publisher {
    background-color: #87e8de; // cyan-3
  }

  .operator {
    background-color: #d3adf7; // purple-3
  }
}
